Public Class clsParams
    Dim mConnectionstring_EDOKA As String
    Property Connectionstring_EDOKA As String
        Get
            Return mConnectionstring_EDOKA
        End Get
        Set(value As String)
            mConnectionstring_EDOKA = value
        End Set
    End Property
    Dim mconnectionstring_Journale As String
    Property Connectionstring_Journale As String
        Get
            Return mconnectionstring_Journale
        End Get
        Set(value As String)
            mconnectionstring_Journale = value
        End Set
    End Property

    Dim mEntrypPoint_IL As String
    Property EntryPoint_IL As String
        Get
            Return mEntrypPoint_IL
        End Get
        Set(value As String)
            mEntrypPoint_IL = value
        End Set
    End Property

    Dim mBCK_TimerInterval As Integer
    Property BCK_TimerInterval As Integer
        Get
            Return mBCK_TimerInterval
        End Get
        Set(value As Integer)
            mBCK_TimerInterval = value
        End Set
    End Property

    Dim mDocument_TimerInterval As Integer
    Property Document_Timerinterval As Integer
        Get
            Return mDocument_TimerInterval
        End Get
        Set(value As Integer)
            mDocument_TimerInterval = value
        End Set
    End Property

    Dim mWachDir As String
    Property WachDir As String
        Get
            Return mWachDir
        End Get
        Set(value As String)
            mWachDir = value
        End Set
    End Property

    Dim mmTempDir As String
    Property TempDir As String
        Get
            Return mmTempDir
        End Get
        Set(value As String)
            mmTempDir = value
        End Set
    End Property

    Dim mTempDirOffice As String
    Property TempDirOffice As String
        Get
            Return mTempDirOffice
        End Get
        Set(value As String)
            mTempDirOffice = value
        End Set
    End Property

    Dim mAsOffice As String
    Property AsOffice As String
        Get
            Return mAsOffice
        End Get
        Set(value As String)
            mAsOffice = value
        End Set
    End Property

    Dim mdemo As String
    Property Demo As String
        Get
            Return mdemo
        End Get
        Set(value As String)
            mdemo = value
        End Set
    End Property
    Public Sub get_params()
        Me.Connectionstring_EDOKA = My.Settings.Connectionstring_EDOKA
        Me.Connectionstring_Journale = My.Settings.Connectionstring_Journale
        Me.EntryPoint_IL = My.Settings.Entrypoint_IL
        Me.BCK_TimerInterval = My.Settings.BCK_Intervall
        Me.Document_Timerinterval = My.Settings.Dokument_Intervall
        Me.WachDir = My.Settings.Watch_Dir
        Me.TempDir = My.Settings.TempDir
        Me.TempDirOffice = My.Settings.TempDirOffice
        Me.AsOffice = My.Settings.OfficeFormat
        Me.Demo = My.Settings.Demo
    End Sub
End Class
